GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "77ade03d-84ef-4f7c-9123-0f4e0eb7ef6e",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "90a5ce6c-7748-4f88-8983-0b4bfe45785d",
      "contractItem_ID": "225257fb-4f57-4051-8598-25c834712afc",
      "departement_ID": "a1b5bd75-7e8b-4ba4-9dd2-32a7a3dd2cf3",
      "departmentItem_ID": "4024d46f-49dc-4d0c-9feb-f06f21a30362",
      "iD": "250e7e5c-82e6-4af7-80d3-c9c0d16649b4",
      "site_ID": "7d095c34-e039-46c6-878c-77b955ad94c6",
      "siteCustomer_ID": "af214868-d566-4dff-bef3-10f3e67a9ac1",
      "sticker_ID": "f50b0ff4-1bf2-490b-8b22-c28ca14bca70"
    },
    {
      "active": true,
      "contract_ID": "90a5ce6c-7748-4f88-8983-0b4bfe45785d",
      "contractItem_ID": "225257fb-4f57-4051-8598-25c834712afc",
      "departement_ID": "a1b5bd75-7e8b-4ba4-9dd2-32a7a3dd2cf3",
      "departmentItem_ID": "4024d46f-49dc-4d0c-9feb-f06f21a30362",
      "iD": "250e7e5c-82e6-4af7-80d3-c9c0d16649b4",
      "site_ID": "7d095c34-e039-46c6-878c-77b955ad94c6",
      "siteCustomer_ID": "af214868-d566-4dff-bef3-10f3e67a9ac1",
      "sticker_ID": "f50b0ff4-1bf2-490b-8b22-c28ca14bca70"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "b57370c3-bfca-4395-92b8-9d3907f52fca",
        "isStatic": true,
        "stickerType_ID": "ea61bd92-1058-4fa8-92c0-769aca1080b9",
        "technicalDescription": "sample string 6"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "4275e2a3-f2e2-425d-bfb6-82ac2d3aa3b3",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "548140d9-ffe4-48e2-b1a0-1a250787465a",
      "stickerField_ID": "1a46d6df-c633-4202-8af5-d2515c238503",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "b57370c3-bfca-4395-92b8-9d3907f52fca",
        "isStatic": true,
        "stickerType_ID": "ea61bd92-1058-4fa8-92c0-769aca1080b9",
        "technicalDescription": "sample string 6"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "4275e2a3-f2e2-425d-bfb6-82ac2d3aa3b3",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "548140d9-ffe4-48e2-b1a0-1a250787465a",
      "stickerField_ID": "1a46d6df-c633-4202-8af5-d2515c238503",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "1ba44ed7-1deb-48b9-8a7e-5f169defbdbb",
  "stickerType_ID": "d7b262d0-60c1-4671-aefc-02a574e6a34e",
  "stickerRelation_IDs": [
    "fb27643c-95a3-4197-a6ed-484a2917c424",
    "718c75fb-e02c-4789-a4c3-09dd915408b8"
  ],
  "site_ID": "22aa8ffa-b5d1-4cc1-8f7b-b830a3603e1e"
}

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: Object graph for type 'EntityModel.StickerDetailViewModel' contains cycles and cannot be serialized if reference tracking is disabled.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: Object graph for type 'EntityModel.StickerDetailViewModel' contains cycles and cannot be serialized if reference tracking is disabled.